This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468774 - amanda postinstall scriptlet overzealous in changing user "amanda" to "amandabackup"
amanda postinstall scriptlet overzealous in changing user "amanda" to "amanda...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 18:17 EDT by Gilbert E. Detillieux
Modified: 2008-11-06 21:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 21:55:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilbert E. Detillieux 2008-10-27 18:17:52 EDT
Description of problem:
Each upgrade to the "amanda" package results in the userid "amanda" being changed to "amandabackup" FOR ALL HOST ENTRIES in /var/lib/amanda/.amandahosts, including entries the scriptlet has no business changing.  It should only be changing those that were part of the originally installed .amandahosts file, i.e. those for hosts names "localhost" and "localhost.localdomain", and not other (remote) host names.

Version-Release number of selected component (if applicable):
2.5.2.p1-9 and up (including current release 2.5.2.p1-12)

How reproducible:
Consistent.

Steps to Reproduce:
1. Add entries to .amandahosts file for remote hosts with user "amanda".
2. Upgrade to new version of amanda package.
3. Check resulting .amandahosts file.
  
Actual results:
All entries in .amandahosts that have a username "amanda" will have that changed to "amandahosts".  This breaks things if the remote host still happens to use the hostname "amanda".  (This will be the case for almost any remote host not running FC9.)

Expected results:
The postinstall scriptlet should only change the original entries for "localhost" and "localhost.localdomain", leaving other intact.  Whether or not any other host entries need to be changed or not cannot easily be determined automatically, and should be left up to the maintainer of the system.

Additional info:
Comment 1 Daniel Novotny 2008-11-04 09:31:52 EST
OK, it is true, that this behaviour is overzealous

fixed in amanda-2.5.2p1-13.fc9
Comment 2 Fedora Update System 2008-11-04 09:32:20 EST
amanda-2.5.2p1-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/amanda-2.5.2p1-13.fc9
Comment 3 Fedora Update System 2008-11-06 21:55:38 EST
amanda-2.5.2p1-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.